import { ISwagger, ISwaggerInfo, ISwaggerDefinition, ISwaggerExternalDocs } from "./i-swagger";
import { IApiPathArgs } from "./api-path.decorator";
import { IApiOperationPostArgs } from "./api-operation-post.decorator";
import { IApiOperationGetArgs } from "./api-operation-get.decorator";
export declare class SwaggerService {
    private static instance;
    private controllerMap;
    private definitionsMap;
    private data;
    private constructeur();
    static getInstance(): SwaggerService;
    resetData(): void;
    private initData();
    getData(): ISwagger;
    setBasePath(basePath: string): void;
    setOpenapi(openapi: string): void;
    setInfo(info: ISwaggerInfo): void;
    setSchemes(schemes: string[]): void;
    setProduces(produces: string[]): void;
    setConsumes(consumes: string[]): void;
    setHost(host: string): void;
    setDefinitions(definitions: {
        [key: string]: ISwaggerDefinition;
    }): void;
    setExternalDocs(externalDocs: ISwaggerExternalDocs): void;
    addPath(args: IApiPathArgs, target: any): void;
    addOperationGet(args: IApiOperationGetArgs, target: any, propertyKey: string | symbol): void;
    addOperationPost(args: IApiOperationPostArgs, target: any, propertyKey: string | symbol): void;
    addOperationPut(args: IApiOperationPostArgs, target: any, propertyKey: string | symbol): void;
    addOperationPatch(args: IApiOperationPostArgs, target: any, propertyKey: string | symbol): void;
    addOperationDelete(args: IApiOperationPostArgs, target: any, propertyKey: string | symbol): void;
    private addOperation(operation, args, target, propertyKey);
    private buildOperation(args, target, propertyKey);
    private buildParameters(type, parameters);
    buildSwagger(): void;
    private buildRef(definition);
}
